Subject: [mpls] RFC3032 IPv6 MTU and Fragmentation Handling in MPLS

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Sat, 29 Aug 2020 08:00:21 +0000

Hello,
I am reading rfc3032 regarding the IPv6 MTU and Fragmentation handling in MPLS technology.
I feel that there is some issue in section 3.5 step 4.
I have checked the errata to rfc3032, and update RFCs as listed in https://tools.ietf.org/html/rfc3032, but failed to find any issue or update about this topic.
Do I miss something or understand something wrong ?

Detailed understanding and questions:
(1) The section 3.5 step 4 says "If the IP datagram is not larger than 1280 octets, and it contains a fragment header, then ... Convert it into fragments".
Does that mean an "Overlapping Fragment" or "cascaded fragment" ?

(2) Seems like it should be "If the IP datagram is not larger than 1280 octets, and it *doesn't* contain a fragment header, then ...Convert it into fragments".
And the following "Reassembly of the fragments will be done at the destination hosts" seems very well reflect the motivation of this approach.
However, this action is something obviously wrong. It damages a customer's packet, and imposes burden to the host.
Seems to me the right action is to configure the "Maximum Initially Labeled IP Datagram Size" no less than 1280 to convey an IPv6 packet on an Ingress LSR (Section 3.2) ?

Thanks
Jingrong